Name:           python-geodatasets
Version:        2023.12.0
Release:        %autorelease
Summary:        Spatial data examples

License:        BSD-3-Clause
URL:            https://github.com/geopandas/geodatasets
Source0:        %pypi_source geodatasets

BuildArch:      noarch

BuildRequires:  python3-devel
# Test requirements
BuildRequires:  python3-geopandas
BuildRequires:  python3-pytest

%description
Fetch links or download and cache spatial data example files.

The geodatasets contains an API on top of a JSON with metadata of externally
hosted datasets containing geospatial information useful for illustrative and
educational purposes.

%prep
%autosetup -n geodatasets-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l geodatasets

%check
%{pytest} -m 'not request'

%files -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
%autochangelog
